function MessageFromMenu(nCount,Param1)
-- if Param1==2000029 then
	-- CreateWindow(200,200,"1",100,"messageinfo") 
-- return;end;
showoptons(0);
return;end;

function mini_create ()
show_help_wnd=true;
			init_mini(1);
	create_mini(8128);
	
end;
--function mini_msg_proc (id)
function gameinput (sender,id,attachedID)

	
	if sender==30 then
		setcurentleaf("photolab",13,0);
		--Emitters(true)
		DarkScreen(false);
		if flags.minicomplete then	
		    StopEmiter("MGlass");
			flags.minitext1=true;
			speciale_action(2,39,true);
			Set_Cursor(39,2);	
			Set_Cursor(19,3)
		return; end;
		-- loadresource("data\\2\\1\\0039.png","a0101",101);
		-- addactivobjecttogame(101,"a0101",0,2000,"","");
		-- AddElement("gr",101);
	return; end;
	if sender==16 then
		if not help then
			help=true;
			CreateWindow(200,200,"1",100,"messageinfo")
		end;	
		BlockCursor(false);
	return;end;
	
	if sender==36 then
	   if id==2100 then
	    BlockCursor(false)
		clear_satelite_leaf("photolab");
		return;end;
	return;end;
	if sender==37 then
	   skipping=true;
	return;end;	
	if sender==10 then
		flags.minicomplete=true;
		playeffect("miniC");
		BlockCursor(true)
		StartTimer(2100,2)
	return; end;
	if pause_state then
		if sender==1 or sender==6 or sender==14 then
			pause_state=false;
			set_visible_object(11111,false);
		end;	
	return;end;					
	if sender==1 then
	if id==6000 then
		   CreateWindow(200,200,"1",100,"messageinfo")
	return;end;		
		if id==1000 then
			playeffect("close");
			finish_mini_game(false);
			clear_satelite_leaf("photolab");
			DeleteResource("btn" );
			DeleteResource("bignumber");			
			DeleteResource("number");
			DeleteResource("bg");				
		return;end;

		if id==5000 and skipping then
			playeffect("skip");
			speciale_action(2,1001,true);
			finish_mini_game(true);
		return;end;	
		
		
		if id==1002 then
			speciale_action(2,1001,true);
			finish_mini_game(true);
		return;end;
		
	return;end;
end;
function mini_delete ()

end;